import Config from "react-native-config";

/**
 * A base url for the api's authorization endpoints
 */
const issuer = Config.API_URL + "/o";

export const OIDC_CLIENT_ID = 'atlas.mobile';
export const OIDC_SCOPE = 'openid';
export const OIDC_REDIRECT_URI = 'cnp.mobile://callback';

export const OIDC_DISCOVERY = {
    authorizationEndpoint: issuer + "/authorize/",
    tokenEndpoint: issuer + "/token/",
    revocationEndpoint: issuer + "/revoke/",
};